import React from "react"
import { Header, Link, Content } from "@onegeo-suite/gatsby-theme-onegeo"

const header = () => {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc">Retour</Link>

                <h1>Header</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`interface Iheader {
	className?: string
	logo?: any
}`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className="m-4 flex gap-6">
                <Header />
            </div>
        </Content>
    )
}

export default header
