import React, { ReactElement } from "react"
import { Link } from "gatsby"

import { Section, Content } from "@onegeo-suite/gatsby-theme-onegeo"

function section(): ReactElement {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc">Retour</Link>

                <h1>Section</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`
interface ISection {
    id: string;
}`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <Section id="5" />
        </Content>
    )
}

export default section
