import React from "react"
import { Socials, Link, Content } from "@onegeo-suite/gatsby-theme-onegeo"

const socials = () => {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc">Retour</Link>

                <h1>List resaux sociaux</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`
              interface ISocials {
                logo?: any,
                name?: string,
                url?: string,
                layout?:string
              }


            query {
              directus {
                socials {
                  id
                  name
                  url
                  type
                  logo {
                    id
                  }
                }
              }
            }
              `}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <h2>reseaux sociaux</h2>

            <div>
                <Socials layout="row" />
            </div>
            <div className="mt-10">
                <Socials layout="col" />
            </div>
        </Content>
    )
}

export default socials
